import { URLS } from "./apiConfig";
import api from "./axiosConfig";

// 광고주 AD 정보 상세 조회 - Multiple 전시 IF-LGSP-082
export async function getAdDetailAMD() {}

// 광고주 AD 정보 상세 조회 - Single 전시 IF-LGSP-083
export async function getAdDetailAPD() {}

// 광고주 AD 정보 상세 조회 - Theme 전시 IF-LGSP-081
export async function getAdDetailATD() {}

// HOME Main Contents Banner 정보 조회 IF-LGSP-301
export async function getHomeMainContents() {}

// HOME LAYOUT 정보 조회 IF-LGSP-300
export async function getHomeLayout() {}

// 메뉴 목록 조회 IF-LGSP-044
export async function getHomeMenu() {
  try {
    const response = await api.get(URLS.GET_HOME_MENU);
    return response.data;
  } catch (error) {
    console.log("Error", error);
    throw error;
  }
}

// 약관 정보 조회 IF-LGSP-005
export async function getHomeTerms(props) {
  const { trmsTpCdList, mbrNo } = props;

  try {
    const response = await api.get(URLS.GET_HOME_TERMS, {
      params: {
        trmsTpCdList,
        mbrNo,
      },
    });

    return response.data;
  } catch (error) {
    console.error("Error : ", error);
    throw error;
  }
}

// Theme 전시 정보 상세 조회 IF-LGSP-060
export async function getThemeCurationDetailInfo() {}

export default {
  getAdDetailAMD,
  getAdDetailAPD,
  getAdDetailATD,
  getHomeMainContents,
  getHomeLayout,
  getHomeMenu,
  getHomeTerms,
  getThemeCurationDetailInfo,
};
